org.codehaus.groovy.runtime.metaclass

## Class MethodMetaProperty

- java.lang.Object
- - groovy.lang.MetaProperty
  - - org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

Direct Known Subclasses:
  MethodMetaProperty.GetBeanMethodMetaProperty, MethodMetaProperty.GetMethodMetaProperty

    public class MethodMetaProperty
    extends MetaProperty

Wrapper for a method for a property get or set. WARNING: This class is for internal use only, don't use it for your APIs

### Nested Class Summary

Nested Classes
`static class` `MethodMetaProperty.GetBeanMethodMetaProperty` Wrapper for a method realizing the property getter.
`static class` `MethodMetaProperty.GetMethodMetaProperty` Wrapper for a method realizing the property get.

### Field Summary

### Fields inherited from class groovy.lang.MetaProperty

`name, PROPERTY_SET_PREFIX, type`

### Constructor Summary

Constructors
Constructor and Description
`MethodMetaProperty(java.lang.String name, MetaMethod method)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MetaMethod` `getMetaMethod()`
`java.lang.Object` `getProperty(java.lang.Object object)`
`void` `setProperty(java.lang.Object object, java.lang.Object newValue)` Sets the property on the given object to the new value

### Methods inherited from class groovy.lang.MetaProperty

`getGetterName, getModifiers, getName, getSetterName, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodMetaProperty

    public MethodMetaProperty(java.lang.String name,
                              MetaMethod method)

### Method Detail

#### getProperty

    public java.lang.Object getProperty(java.lang.Object object)

Specified by:
  `getProperty` in class `MetaProperty`
Returns:
  the property of the given object

#### setProperty

    public void setProperty(java.lang.Object object,
                            java.lang.Object newValue)

Description copied from class: `MetaProperty`
Sets the property on the given object to the new value

Specified by:
  `setProperty` in class `MetaProperty`
Parameters:
  `object` - on which to set the property
  `newValue` - the new value of the property

#### getMetaMethod

    public MetaMethod getMetaMethod()